import "./Node.css";
import * as React from "react";
import { ScaleLinear } from "d3-scale";
import { NumberOfChildrenPlacement } from "./NumberOfChildren";
export interface NodeProps {
    x0?: number;
    y0?: number;
    x1?: number;
    y1?: number;
    bgColor: string;
    borderColor: string;
    className?: string;
    hasChildren: boolean;
    hideNumberOfChildren?: boolean;
    id: number;
    isSelectedNode: boolean;
    label: string;
    nodeTotalNodes: number;
    numberOfChildrenPlacement: NumberOfChildrenPlacement;
    onClick?: (ev?: React.MouseEvent<SVGElement>) => void;
    style?: React.CSSProperties;
    textColor: string;
    treemapId?: string;
    url: string;
    value: string;
    xScaleFunction?: ScaleLinear<number, number>;
    yScaleFunction?: ScaleLinear<number, number>;
    paddingInner: number;
    splitRegExp?: RegExp;
}
declare const Node: React.FunctionComponent<NodeProps>;
export default Node;
